Unsubscribe
Create an unsubscribe group
Creates a new unsubscribe group and returns it with a 201 Created status. Use this endpoint to create an unsubscribe group through the Samva email API.
Creates a new unsubscribe group and returns it with a 201 Created status.
Authorization
apiKey x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Length
1 <= lengthdescription?string|null|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/unsubscribe-groups" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "organizationId": "string", "name": "string", "description": "string", "memberCount": 0, "createdAt": "string", "updatedAt": "string"}Related documentation
Check unsubscribe group membership
Returns the unsubscribe groups that an email address has unsubscribed from, optionally limited to a specified set of groups.
List unsubscribe groups
Returns a paginated list of the organization's unsubscribe groups. Use this endpoint to list unsubscribe groups through the Samva email API.